# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit meson

COMMIT=7ab20d1b9735ac023e068f99d7d543039a50ef18

DESCRIPTION="eXtensible Markup Language parser library designed for Jabber applications"
HOMEPAGE="https://github.com/Zaryob/iksemel"
SRC_URI="https://github.com/Zaryob/iksemel/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ppc ~ppc64 x86"
IUSE="gnutls ssl"

RDEPEND="ssl? (
		gnutls? ( net-libs/gnutls )
		!gnutls? ( dev-libs/openssl:0= ) )
	"
DEPEND="${RDEPEND}
	dev-util/ninja"

S=${WORKDIR}/${PN}-${COMMIT}

##src_prepare() {
##	default
##	eautoreconf
##}

##src_configure() {
##	econf \
##		$(use_with ssl gnutls) \
##		$(use_enable static-libs static)
##}

src_install() {
	meson_src_install
	rm "${D}/usr/include/common.h" "${D}/usr/include/finetune.h"
}
